Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.stub
Class ParticipantStub

    java.lang.Object
      com.arjuna.wst.stub.ParticipantStub

All Implemented Interfaces:
  com.arjuna.webservices.wsat.Participant, PersistableParticipant

Direct Known Subclasses:
  Durable2PCStub, Volatile2PCStub

public class ParticipantStub
extends java.lang.Object
implements com.arjuna.webservices.wsat.Participant, PersistableParticipant

Constructor Summary
`ParticipantStub(java.lang.String id, boolean durable, com.arjuna.webservices.wsaddr.EndpointReferenceType twoPCParticipant)`

Method Summary
`void` | `commit()`
`void` | `error()`
`Vote` | `prepare()`
`boolean` | `restoreState(com.arjuna.ats.arjuna.state.InputObjectState ios)` Restore the state of the particpant from the specified input object stream.
`void` | `rollback()`
`boolean` | `saveState(com.arjuna.ats.arjuna.state.OutputObjectState oos)` Save the state of the particpant to the specified input object stream.
`void` | `unknown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParticipantStub

    public ParticipantStub(java.lang.String id,
                           boolean durable,
                           com.arjuna.webservices.wsaddr.EndpointReferenceType twoPCParticipant)
                    throws java.lang.Exception

Method Detail

### prepare

    public Vote prepare()
                 throws WrongStateException,
                        SystemException

  Specified by:
    `prepare` in interface `com.arjuna.webservices.wsat.Participant`
  Throws:
    `WrongStateException`
    `SystemException`

### commit

    public void commit()
                throws WrongStateException,
                       SystemException

  Specified by:
    `commit` in interface `com.arjuna.webservices.wsat.Participant`
  Throws:
    `WrongStateException`
    `SystemException`

### rollback

    public void rollback()
                  throws WrongStateException,
                         SystemException

  Specified by:
    `rollback` in interface `com.arjuna.webservices.wsat.Participant`
  Throws:
    `WrongStateException`
    `SystemException`

### unknown

    public void unknown()
                 throws SystemException

  Specified by:
    `unknown` in interface `com.arjuna.webservices.wsat.Participant`
  Throws:
    `SystemException`

### error

    public void error()
               throws SystemException

  Specified by:
    `error` in interface `com.arjuna.webservices.wsat.Participant`
  Throws:
    `SystemException`

### saveState

    public boolean saveState(com.arjuna.ats.arjuna.state.OutputObjectState oos)

  Description copied from interface: `PersistableParticipant`
  Save the state of the particpant to the specified input object stream.

  Specified by:
    `saveState` in interface `PersistableParticipant`
  Parameters:
    `oos` - The output output stream.
  Returns:
    true if persisted, false otherwise.

### restoreState

    public boolean restoreState(com.arjuna.ats.arjuna.state.InputObjectState ios)

  Description copied from interface: `PersistableParticipant`
  Restore the state of the particpant from the specified input object stream.

  Specified by:
    `restoreState` in interface `PersistableParticipant`
  Parameters:
    `ios` - The Input object stream.
  Returns:
    true if restored, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD